Subject: Re: [PATCH v3 0/6] fix repo name when cloning a server's root

From: Junio C Hamano <[email-masked]>
Date: Thu, 06 Aug 2015 01:00:12 -0700

Torsten Bögershausen <[email-masked]> writes:

> It is easy to strip the foo:: part of the url, assume that
> the remote helper uses a RFC 3986 similar url syntax, so that we
> can feed the reminding https://host/repo.git into the parser (see above).

The thing that worries me is that foo:: syntax and external helper
interface was invented by Daniel Barkalow primarily because he
wanted to allow things that do *not* fit in that URL-like scheme,
for example see:

  http://thread.gmane.org/gmane.comp.version-control.git/125374/focus=125405

> If the remote helper doesn't do this, we can't guess anything, can we ?
> So error out and tell the user seems the right thing to do.

Yes.  A blind guess that fails spectacularly is far worse than an
outright rejection that is cautious.